Component2D.WithinRelation (Lucene 10.5.0 core API)
Description: declaration: package: org.apache.lucene.geo, interface: Component2D, enum: WithinRelation

Package org.apache.lucene.geo

# Enum Class Component2D.WithinRelation

java.lang.Object
java.lang.Enum<Component2D.WithinRelation>
org.apache.lucene.geo.Component2D.WithinRelation

All Implemented Interfaces:
  `Serializable`, `Comparable<Component2D.WithinRelation>`, `Constable`

Enclosing interface:
  `Component2D`

public static enum Component2D.WithinRelation extends Enum<Component2D.WithinRelation>
Used by withinTriangle to check the within relationship between a triangle and the query shape (e.g. if the query shape is within the triangle).

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `CANDIDATE`
  If the shape is a candidate for within.
  `DISJOINT`
  The query shape is disjoint with the triangle.
  `NOTWITHIN`
  The query shape intersects an edge that does belong to the original shape or any point of the triangle is inside the shape.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static Component2D.WithinRelation`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static Component2D.WithinRelation[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### CANDIDATE

    public static final Component2D.WithinRelation CANDIDATE
    If the shape is a candidate for within. Typically this is return if the query shape is fully inside the triangle or if the query shape intersects only edges that do not belong to the original shape.

  - ### NOTWITHIN

    public static final Component2D.WithinRelation NOTWITHIN
    The query shape intersects an edge that does belong to the original shape or any point of the triangle is inside the shape.

  - ### DISJOINT

    public static final Component2D.WithinRelation DISJOINT
    The query shape is disjoint with the triangle.

- ## Method Details

  - ### values

    public static Component2D.WithinRelation[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static Component2D.WithinRelation valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null